IR.SetGlobalListener(IR.EVENT_GLOBAL_TAG_CHANGE, function(name, value) {
  if (name == "System.Magnetic.X"||name == "System.Magnetic.Y"||name == "System.Magnetic.Z") {
    var x = IR.GetVariable("System.Magnetic.X");
    var y = IR.GetVariable("System.Magnetic.Y");
    var z = IR.GetVariable("System.Magnetic.Z");
    var magn_decl = 14; //magnetic decline for Yekaterinburg
    var angle = 360-Math.atan2(x, y)*180/Math.PI;
    angle = angle + magn_decl;
    if (angle>360) {angle = angle - 360;}
    IR.GetItem("Page 1").GetItem("Circular_Level").Value = angle;
  }
});
// Subscribe 
IR.SubscribeTagChange("System.Magnetic.X");
IR.SubscribeTagChange("System.Magnetic.Y");
IR.SubscribeTagChange("System.Magnetic.Z");

